Skip to content
Start here

Create a webhook

client.alerting.destinations.webhooks.create(WebhookCreateParams { account_id, name, url, secret } params, RequestOptionsoptions?): WebhookCreateResponse { id }
POST/accounts/{account_id}/alerting/v3/destinations/webhooks

Creates a new webhook destination.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
params: WebhookCreateParams { account_id, name, url, secret }
account_id: string

Path param: The account id

maxLength32
name: string

Body param: The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

url: string

Body param: The POST endpoint to call when dispatching a notification.

secret?: string

Body param: Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

ReturnsExpand Collapse
WebhookCreateResponse { id }
id?: string

UUID

maxLength32

Create a webhook

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const webhook = await client.alerting.destinations.webhooks.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  name: 'Slack Webhook',
  url: 'https://hooks.slack.com/services/Ds3fdBFbV/456464Gdd',
});

console.log(webhook.id);
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90afafe4643bbbc4a0ed4fc8415"
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90afafe4643bbbc4a0ed4fc8415"
  }
}